Skip to main content
GET
https://tickward.com/api/v1
/
projects
/
{project_id}
/
spaces
List spaces
curl --request GET \
  --url https://tickward.com/api/v1/projects/{project_id}/spaces \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "object": "space",
      "id": "travel",
      "project_id": "project_123",
      "project_name": "Main",
      "name": "Travel",
      "color": "#2563eb",
      "created_at": "2026-06-07T12:00:00.000Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
default:tw_your_api_key
required

Use a tickward API key from Settings. API keys start with tw_. Store keys as secrets and send them as Authorization: Bearer <key>.

Path Parameters

project_id
string
required

Response

Space list.

List response for spaces in a project.

object
string
required
Allowed value: "list"
data
object[]
required
has_more
boolean
required